{% extends 'base.html' %}

{% block content %}

    {% if user_data %}

        <div class="container margincustom">
            <div class="row">
                <div class="col col-lg-1">
                </div>
                <div class="col col-lg-4">
                    <a href="{{  url_for('allduplicatecurrent', path=start_dir.replace("stockage/"+user.key.name+"/", "")) }}" type="submit" class="btn btn-primary">Show Duplicate in this directory</a>
                </div>
                <div class="col col-lg-3">
                    <a href="/allduplicate" type="submit" class="btn btn-primary">Show Duplicate</a>
                </div>
                <div class="col col-lg-2">
                    <input type="image" src="/static/adddir.png" width="32px" border="0" data-bs-toggle="modal" data-bs-target="#addDirModal">
                </div>
                <div class="col col-lg-2">
                    <input type="image" src="/static/upload.png" width="32px" border="0"  data-bs-toggle="modal" data-bs-target="#addFileModal">
                </div>
            </div>
        </div>
        <div class="container">
            <div class="row justify-content-md-center">
                <div class="col">
                    <ul class="list-group" id="listelement">
                        {% if "stockage/"+user.key.name+"/" != start_dir %}
                            <div class="container">
                                <li class="list-group-item list-group-item-secondary">
                                    <div class="row">
                                        <div class="col col-lg-11">
                                            {% set path = start_dir.replace("stockage/"+user.key.name+"/", "") %}
                                            {% set i = path[:-1].rfind("/") %}
                                            {% if i != -1 %}
                                                <a href=" {{  url_for('root_with_path', path=path[0:i]+"/") }}">../</a>
                                            {% else %}
                                                <a href=" {{  url_for('root_with_path', path="") }}">../</a>
                                            {% endif %}
                                        </div>
                                    </div>
                                </li>
                            </div>
                        {% endif %}
                        {% for blob in list_d %}
                            <div class="container">
                                <li class="list-group-item list-group-item-secondary">
                                    <div class="row">
                                        <div class="col col-lg-10">
                                            <a href=" {{  url_for('root_with_path', path=blob["name"].replace("stockage/"+user.key.name+"/", "")) }}">{{ blob["name"].replace(start_dir, "") }}</a>
                                        </div>
                                        {% set name = blob["name"].replace(start_dir, "") %}
                                        <div class="col col-lg-1">
                                            {{ countsub[name] }} Elements
                                        </div>
                                        <div class="col col-lg-1">
                                            {% if countsub[name] > 0 %}
                                                <input type="image" src="/static/delete.png" width="32px" border="0" data-bs-toggle="modal" data-bs-target="#deleteModal" data-bs-path="{{ blob["name"].replace("stockage/"+user.key.name, "") }}">
                                            {% else %}
                                                <form action="/delete" method="post" class="form-delete">
                                                    {{ form_del_dir.path(hidden=True, value=blob["name"].replace("stockage/"+user.key.name, "")) }}
                                                    {{ form_del_dir.csrf_token }}
                                                    <input type="image" src="/static/delete.png" width="32px" alt="Submit">
                                                </form>
                                            {% endif %}
                                        </div>
                                    </div>
                                </li>
                            </div>
                        {% endfor %}
                        {% for blob in list_b %}
                            <div class="container">
                                <li class="list-group-item list-group-item-secondary">
                                    <div class="row">
                                        <div class="col col-lg-8">
                                            <a class="element" href=" {{  url_for('download', path=blob["name"].replace("stockage/"+user.key.name+"/", "")) }}">{{ blob["name"].replace(start_dir, "") }}</a>
                                        </div>
                                        <div class="col col-lg-3 copylink">
                                            <input hidden class="copylinkdata" type="text" value="{{ url_for('downloadpublic', userid=user.key.name, sha=blob["md5_hash"], path=blob["name"].replace("stockage/"+user.key.name+"/", "")) }}"/>
                                            <button class="btn btn-primary copylinkbutton">Copy public link</button>
                                        </div>
                                        <div class="col col-lg-1">
                                            <form action="/delete" method="post" class="form-delete">
                                                {{ form_del_dir.path(hidden=True, value=blob["name"].replace("stockage/"+user.key.name, "")) }}
                                                {{ form_del_dir.csrf_token }}
                                                    <input type="image" src="/static/delete.png" width="32px" alt="Submit">
                                            </form>
                                        </div>
                                    </div>
                                </li>
                            </div>
                        {% endfor %}
                    </ul>
                </div>
            </div>
        </div>
        <div class="modal fade" id="deleteModal" tabindex="-1" aria-labelledby="deleteModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="deleteModalLabel">Delete Room</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>

                    <form action="/delete" method="post" class="form-delete">
                        <div class="modal-body">
                            <p>Are you sure you want to delete this directory ?</p>
                            <p>It's not empty !</p>
                            {{ form_del_dir.path(hidden=True) }}
                        </div>
                        {{ form_del_dir.csrf_token }}
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                            <input type="submit" class="btn btn-danger" value="Delete">
                        </div>
                    </form>
                </div>
            </div>
        </div>

        <div class="modal fade" id="addDirModal" tabindex="-1" aria-labelledby="addDirModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="addDirModalLabel">Add a directory</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>

                    <form action="/adddir" method="post" class="form-adddir">
                        <div class="modal-body">
                            {{ render_field(form_add_dir.name) }}
                            {{ form_add_dir.path(hidden=True) }}
                            {{ form_add_dir.csrf_token }}
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                            <input type="submit" class="btn btn-primary" value="Create a directory">
                        </div>
                    </form>
                </div>
            </div>
        </div>

        <div class="modal fade" id="addFileModal" tabindex="-1" aria-labelledby="addFileModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="addFileModalLabel">Add a file</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>

                    <form action="/addblobfile" method="post" id="form-addblobfile" enctype="multipart/form-data">
                        <div class="modal-body">
                            <div class="alert alert-warning" role="alert" hidden id="hiddenwarning">
                                Be careful, a file has the same name, you will overwrite it
                            </div>
                            {{ render_field(form_add_file.file) }}
                            {{ render_field(form_add_file.name) }}
                            {{ form_add_file.path(hidden=True) }}
                            {{ form_add_file.csrf_token }}
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                            <input type="submit" class="btn btn-primary" value="Upload">

                        </div>
                    </form>
                </div>
            </div>
        </div>
    {% else %}
        <div class="container">
            <div class="row justify-content-md-center">
                <div class="col">
                    <p>You need to login for see your files</p>
                </div>
            </div>
        </div>
    {% endif %}
{% endblock %}